Package org.apache.axiom.ext.io

## Class StreamCopyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.axiom.ext.io.StreamCopyException

- All Implemented Interfaces:
    `Serializable`

      public class StreamCopyException
      extends IOException

  Signals that an I/O exception occurred while copying data from an input stream (or other data source) to an output stream (or other data sink). The exception wraps the original `IOException` together with information about the type of operation (read or write) that failed.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `READ` | Indicates that the wrapped exception was triggered while reading from the input stream (or data source).
    `static int` | `WRITE` | Indicates that the wrapped exception was triggered while writing to the output stream (or data sink).

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StreamCopyException​(int operation, IOException cause)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getMessage()` |
    `int` | `getOperation()` | Get information about the type of operation that fails.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### READ

          public static final int READ

      Indicates that the wrapped exception was triggered while reading from the input stream (or data source).
      See Also:
        Constant Field Values

    - #### WRITE

          public static final int WRITE

      Indicates that the wrapped exception was triggered while writing to the output stream (or data sink).
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StreamCopyException

          public StreamCopyException​(int operation,
                                     IOException cause)

      Constructor.
      Parameters:
        `operation` - indicates the type of operation that caused the exception; must be `READ` or `WRITE`
        `cause` - the wrapped exception

  - ### Method Detail

    - #### getOperation

          public int getOperation()

      Get information about the type of operation that fails.
      Returns:
        one of `READ` or `WRITE`

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`